Skip to main content
GET
Get Files

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Response

200 - application/json
id
string
Example:

"3f2504e0-4f89-41d3-9a0c-0305e82c3301"

shop_id
integer
Example:

1

display_name
string
Example:

"installer.zip"

mime_type
string
Example:

"application/zip"

disk
string
Example:

"local"

path
string
Example:

"downloadable-files/3f2504e0-4f89-41d3-9a0c-0305e82c3301.zip"

size
integer
Example:

1048576

created_at
string
Example:

"2026-11-06T10:45:19.000000Z"

updated_at
string
Example:

"2026-11-06T10:45:19.000000Z"

deleted_at
string | null
Example:

null

products
array
Example:
Example: